Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.tagger.maxent
Class TestClassifier

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.TestClassifier

    public class TestClassifier

extends Object

Tags data and can handle either data with gold-standard tags (computing performance statistics) or unlabeled data. (The Constructor actually runs the tagger. The main entry points are the static methods at the bottom of the class.) Also can train data using the saveModel method. This class is really the entry point to all tagger operations, it seems.

Author:
  Kristina Toutanova

Method Summary
`static void` | `trainAndSaveModel(TaggerConfig config)` Reads in the training corpus from a filename and trains the tagger

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### trainAndSaveModel

    public static void trainAndSaveModel(TaggerConfig config)
                                  throws IOException

  Reads in the training corpus from a filename and trains the tagger

  Parameters:
    `config` - Configuration parameters for training a model (filename, etc.
  Throws:
    `IOException` - If IO problem

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group